io.milvus.param

## Enum IndexBuildState

- java.lang.Object
- - java.lang.Enum<IndexBuildState>
  - - io.milvus.param.IndexBuildState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IndexBuildState>

      public enum IndexBuildState
      extends java.lang.Enum<IndexBuildState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Failed`
    `Finished`
    `IndexStateNone`
    `InProgress`
    `Retry`
    `Unissued`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexBuildState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IndexBuildState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IndexStateNone

          public static final IndexBuildState IndexStateNone

    - #### Unissued

          public static final IndexBuildState Unissued

    - #### InProgress

          public static final IndexBuildState InProgress

    - #### Finished

          public static final IndexBuildState Finished

    - #### Failed

          public static final IndexBuildState Failed

    - #### Retry

          public static final IndexBuildState Retry

  - ### Method Detail

    - #### values

          public static IndexBuildState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IndexBuildState c : IndexBuildState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IndexBuildState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null